function [A,b]=matrika_sistema(pod,fun);
% MATRIKA_SISTEMA matrika sistema radialnih funkcij
% MATRIKA_SISTEMA(pod, fun)
% pod je matrika podatkov, fun ime radialne funkcije
%pod je tabela koordinat interpolacijskih tock 
%[x1 y1 z1;x2 y2 z2;...]  
  n=size(pod,1);
  A=zeros(n);
  b=zeros(n,1);
  for i=1:n
    for j=i:n %zaradi simetrije
      A(i,j)=feval(fun,pod(i,1:2),pod(j,1:2));
    end
    %b(i)=pod(i,3);
  end
  b=pod(:,3);