function Z=vrednosti(x,y,alfa,pod,fun);
% VREDNOSTI vrne vrednosti interpolacijske ploskve na mrezi
% VREDNOSTI(x,y,alfa,pod,fun)
% x,y dolocata mrezo, alfa koeficiente v interpolantu,
% pod je tabela podatkov, fun ime funkcije, ki je osnova za 
% interpolant
  m=length(y);
  n=length(x);
  N=size(pod,1);
  for i=1:m
      for j=1:n
          vec=zeros(1,N);
          for k=1:N
            vec(k)=feval(fun,[x(j) y(i)],pod(k,1:2));
          end
          Z(i,j)=vec*alfa;    
      end
  end
